Index: src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java
===================================================================
--- src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -28,5 +28,5 @@
     @Override
     public void createUser(String name, String surname, String email, Date birthDate, String address, String contact) {
-        Role r = em.find(Role.class, 1);
+        Role r = em.find(Role.class, 2);
         User user = new User(name, surname, email, passwordEncoder.encode("password"), birthDate, address, contact, r);
         em.persist(user);
@@ -74,4 +74,26 @@
     }
 
+    @Override
+    public List<User> getUnapprovedUsers() {
+        return em.createQuery("select u from User u where not u.enabled").getResultList();
+    }
+
+    @Override
+    @Transactional
+    public void approveUserProfile(User u) {
+        u.setEnabled(true);
+        em.persist(u);
+    }
+
+    @Override
+    public Role findById(Long id) {
+        return em.find(Role.class, id);
+    }
+
+    @Override
+    @Transactional
+    public void updateUser(User s) {
+        em.persist(s);
+    }
 
 
Index: src/main/java/com/tourMate/dto/HotelReservationUserDto.java
===================================================================
--- src/main/java/com/tourMate/dto/HotelReservationUserDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/HotelReservationUserDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -7,4 +7,5 @@
 
 public class HotelReservationUserDto {
+    private Long reservationId;
     private User user;
     private HotelRoom hotelRoom;
@@ -20,5 +21,6 @@
     private Boolean reviewed;
 
-    public HotelReservationUserDto(User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numBeds, String hotelName, String hotelLocation, String hotelAddress, Long hotelId, Boolean reviewed) {
+    public HotelReservationUserDto(Long reservationId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numBeds, String hotelName, String hotelLocation, String hotelAddress, Long hotelId, Boolean reviewed) {
+        this.reservationId = reservationId;
         this.user = user;
         this.hotelRoom = hotelRoom;
@@ -31,4 +33,8 @@
         this.hotelId = hotelId;
         this.reviewed = reviewed;
+    }
+
+    public Long getReservationId() {
+        return reservationId;
     }
 
Index: src/main/java/com/tourMate/dto/RestaurantDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RestaurantDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/RestaurantDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -5,4 +5,5 @@
 import java.util.ArrayList;
 import java.util.Collection;
+import java.util.List;
 
 public class RestaurantDto {
@@ -14,9 +15,11 @@
     private String restaurantEdbs;
     private Collection<Menu> menus = new ArrayList<Menu>();
+    private Collection<MenuImages> menuImages;
     private Collection<RestaurantsAvailible> tables;
     private Collection<Reviews> reviews;
     private double averageScore;
     private Collection<RestaurantImages> images;
-    public RestaurantDto(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, Collection<Menu> menus, Collection<RestaurantsAvailible> tables, Collection<Reviews> reviews, double averageScore, Collection<RestaurantImages> images) {
+
+    public RestaurantDto(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, Collection<Menu> menus, Collection<RestaurantsAvailible> tables, Collection<Reviews> reviews, double averageScore, Collection<RestaurantImages> images, Collection<MenuImages> menuImages) {
         this.restaurantID = restaurantID;
         this.restaurantName = restaurantName;
@@ -30,4 +33,8 @@
         this.averageScore = averageScore;
         this.images = images;
+        this.menuImages = menuImages;
+    }
+    public Collection<MenuImages> getMenuImages() {
+        return menuImages;
     }
 
@@ -119,3 +126,4 @@
         this.images = images;
     }
+
 }
Index: src/main/java/com/tourMate/dto/RestaurantReservationDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RestaurantReservationDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
+++ src/main/java/com/tourMate/dto/RestaurantReservationDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -0,0 +1,37 @@
+package com.tourMate.dto;
+
+import com.tourMate.entities.HotelRoom;
+import com.tourMate.entities.RestaurantsTable;
+import com.tourMate.entities.User;
+
+import java.util.Date;
+
+public class RestaurantReservationDto {
+    private User user;
+    private RestaurantsTable restaurantsTable;
+    private Date dateFrom;
+    private Date dateTo;
+
+    public RestaurantReservationDto(User user, RestaurantsTable restaurantsTable, Date dateFrom, Date dateTo) {
+        this.user = user;
+        this.restaurantsTable = restaurantsTable;
+        this.dateFrom = dateFrom;
+        this.dateTo = dateTo;
+    }
+
+    public User getUser() {
+        return user;
+    }
+
+    public RestaurantsTable getRestaurantsTable() {
+        return restaurantsTable;
+    }
+
+    public Date getDateFrom() {
+        return dateFrom;
+    }
+
+    public Date getDateTo() {
+        return dateTo;
+    }
+}
Index: src/main/java/com/tourMate/dto/RestaurantReservationUserDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RestaurantReservationUserDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/RestaurantReservationUserDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -8,4 +8,5 @@
 
 public class RestaurantReservationUserDto {
+    private Long reservationId;
     private User user;
     private RestaurantsTable restaurantsTable;
@@ -21,5 +22,6 @@
     private Boolean reviewed;
 
-    public RestaurantReservationUserDto(User user, RestaurantsTable restaurantsTable, Date dateFrom, Date dateTo, Integer numPeople, String restaurantName, String restaurantLocation, String restaurantAddress, Long restaurantId, Boolean reviewed) {
+    public RestaurantReservationUserDto(Long reservationId, User user, RestaurantsTable restaurantsTable, Date dateFrom, Date dateTo, Integer numPeople, String restaurantName, String restaurantLocation, String restaurantAddress, Long restaurantId, Boolean reviewed) {
+        this.reservationId = reservationId;
         this.user = user;
         this.restaurantsTable = restaurantsTable;
@@ -32,4 +34,8 @@
         this.restaurantId = restaurantId;
         this.reviewed = reviewed;
+    }
+
+    public Long getReservationId() {
+        return reservationId;
     }
 
Index: src/main/java/com/tourMate/dto/RouteListingDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RouteListingDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/RouteListingDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -18,6 +18,7 @@
     private Date time;
     private Collection<String> routes;
+    private Double maxPrice;
 
-    public RouteListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, Collection<TransportRoute> routes) {
+    public RouteListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, Collection<TransportRoute> routes, Double maxPrice) {
         this.transportAvailibleId = transportAvailibleId;
         this.from = from;
@@ -27,4 +28,5 @@
         this.time = time;
         this.routes = routes.stream().map(x -> x.getFrom()).distinct().skip(1).toList();
+        this.maxPrice = maxPrice;
     }
 
@@ -84,3 +86,7 @@
         this.routes = routes;
     }
+
+    public Double getMaxPrice() {
+        return maxPrice;
+    }
 }
Index: src/main/java/com/tourMate/dto/TransportDto.java
===================================================================
--- src/main/java/com/tourMate/dto/TransportDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/TransportDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -16,7 +16,8 @@
     private User owner;
     private String carPlate;
+    private Double maxPrice;
     private Collection<RouteListingDto> availableRoutes;
 
-    public TransportDto(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate, Collection<RouteListingDto> availableRoutes) {
+    public TransportDto(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate, Collection<RouteListingDto> availableRoutes, Double maxPrice) {
         this.transportID = transportID;
         this.transportName = transportName;
@@ -30,4 +31,5 @@
         this.carPlate = carPlate;
         this.availableRoutes = availableRoutes;
+        this.maxPrice = maxPrice;
     }
 
Index: src/main/java/com/tourMate/dto/TransportReservationUserDto.java
===================================================================
--- src/main/java/com/tourMate/dto/TransportReservationUserDto.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/dto/TransportReservationUserDto.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,4 +10,5 @@
 
 public class TransportReservationUserDto {
+    private Long reservationId;
     private User user;
     private TransportRoute transportRoute;
@@ -19,5 +20,6 @@
     private Boolean reviewed;
 
-    public TransportReservationUserDto(User user, TransportRoute transportRoute, Long transportId, Integer numPeople, String carBrand, String carType, User owner, Boolean reviewed) {
+    public TransportReservationUserDto(Long reservationId, User user, TransportRoute transportRoute, Long transportId, Integer numPeople, String carBrand, String carType, User owner, Boolean reviewed) {
+        this.reservationId = reservationId;
         this.user = user;
         this.transportRoute = transportRoute;
@@ -28,4 +30,7 @@
         this.owner = owner;
         this.reviewed = reviewed;
+    }
+    public Long getReservationId() {
+        return reservationId;
     }
 
Index: src/main/java/com/tourMate/entities/Business.java
===================================================================
--- src/main/java/com/tourMate/entities/Business.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/Business.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -88,5 +88,5 @@
     }
 
-    @OneToOne(fetch = FetchType.LAZY)
+    @OneToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "owner_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_biznis_kon_korisnik"))
     public User getUser() {
@@ -107,3 +107,4 @@
         this.approved = approved;
     }
+
 }
Index: src/main/java/com/tourMate/entities/HotelRoom.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoom.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/HotelRoom.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,3 +1,2 @@
-<<<<<<< HEAD
 package com.tourMate.entities;
 
@@ -160,140 +159,2 @@
     }
 }
-=======
-package com.tourMate.entities;
-
-import jakarta.persistence.*;
-import com.fasterxml.jackson.annotation.JsonIgnore;
-
-import javax.validation.constraints.NotNull;
-
-@Entity
-@Table(name="hotel_rooms", schema = "public")
-public class HotelRoom {
-    private long hotelRoomId;
-    @JsonIgnore
-    private Hotels hotel;
-    private String hotelRoomDescription;
-    @Enumerated(EnumType.STRING)
-    private String hotelRoomName;
-    private double price;
-    private Boolean kitchenAvailable;
-    private Boolean airConditioning;
-    private Boolean balcony;
-
-    public HotelRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, double price, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony) {
-        this.hotelRoomId = hotelRoomId;
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = hotelRoomName;
-        this.price = price;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-    }
-
-    public HotelRoom(Hotels hotel, String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = type;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-        this.price = price;
-    }
-
-    public HotelRoom(String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = type;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-        this.price = price;
-    }
-
-    public HotelRoom() {
-
-    }
-
-    @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "room_id",unique = true,nullable = false)
-    public long getHotelRoomId() {
-        return hotelRoomId;
-    }
-
-    public void setHotelRoomId(long hotelRoomId) {
-        this.hotelRoomId = hotelRoomId;
-    }
-
-    @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_room_kon_hotel"))
-    public Hotels getHotel() {
-        return hotel;
-    }
-
-    public void setHotel(Hotels hotelId) {
-        this.hotel = hotelId;
-    }
-
-    @Column(name="hotel_room_description",unique = false,nullable = false)
-    @NotNull
-    public String getHotelRoomDescription() {
-        return hotelRoomDescription;
-    }
-
-    public void setHotelRoomDescription(String hotelRoomDescription) {
-        this.hotelRoomDescription = hotelRoomDescription;
-    }
-
-    @Column(name="hotel_room_price",unique = false,nullable = false)
-    @NotNull
-    public double getPrice() {
-        return price;
-    }
-
-    @Column(name="hotel_room_name",unique = false,nullable = false)
-    @NotNull
-    public String getHotelRoomName() {
-        return hotelRoomName;
-    }
-
-
-    public void setHotelRoomName(String name) {
-        this.hotelRoomName = name;
-    }
-    public void setPrice(double type) {
-        this.price = type;
-    }
-    @Column(name="hotel_room_kitchen",unique = false,nullable = false)
-    @NotNull
-    public Boolean getKitchenAvailable() {
-        return kitchenAvailable;
-    }
-
-    public void setKitchenAvailable(Boolean kitchenAvailable) {
-        this.kitchenAvailable = kitchenAvailable;
-    }
-    @Column(name="hotel_room_ac",unique = false,nullable = false)
-    @NotNull
-    public Boolean getAirConditioning() {
-        return airConditioning;
-    }
-
-    public void setAirConditioning(Boolean airConditioning) {
-        this.airConditioning = airConditioning;
-    }
-    @Column(name="hotel_room_balcony",unique = false,nullable = false)
-    @NotNull
-    public Boolean getBalcony() {
-        return balcony;
-    }
-
-    public void setBalcony(Boolean balcony) {
-        this.balcony = balcony;
-    }
-}
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
Index: src/main/java/com/tourMate/entities/HotelRoomReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -43,5 +43,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "room_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_room"))
     public HotelRoom getHotelRoom() {
@@ -59,5 +59,5 @@
     }
 
-    @OneToOne(fetch = FetchType.LAZY)
+    @OneToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_user"))
     public User getUser() {
Index: src/main/java/com/tourMate/entities/MenuImages.java
===================================================================
--- src/main/java/com/tourMate/entities/MenuImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
+++ src/main/java/com/tourMate/entities/MenuImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -0,0 +1,46 @@
+package com.tourMate.entities;
+
+import jakarta.persistence.*;
+import lombok.Data;
+
+@Entity
+public class MenuImages {
+    @Id
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    private long imageId;
+    @ManyToOne
+    private Menu menu;
+    private String url;
+
+    public MenuImages(Menu menu, String url) {
+        this.menu = menu;
+        this.url = url;
+    }
+
+    public MenuImages() {
+    }
+
+    public long getImageId() {
+        return imageId;
+    }
+
+    public void setImageId(long imageId) {
+        this.imageId = imageId;
+    }
+
+    public Menu getMenu() {
+        return menu;
+    }
+
+    public void setMenu(Menu menu) {
+        this.menu = menu;
+    }
+
+    public String getUrl() {
+        return url;
+    }
+
+    public void setUrl(String url) {
+        this.url = url;
+    }
+}
Index: src/main/java/com/tourMate/entities/RestaurantImages.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantImages.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/RestaurantImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -31,5 +31,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name="restaurant_id",unique = false,nullable = false,foreignKey = @ForeignKey(name = "fk_ref_od_restimg_kon_restoran"))
     public Restaurant getRestaurant() {
Index: src/main/java/com/tourMate/entities/RestaurantReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -82,5 +82,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacija_restoran_kon_korisnik"))
     public User getUser() {
Index: src/main/java/com/tourMate/entities/Reviews.java
===================================================================
--- src/main/java/com/tourMate/entities/Reviews.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/Reviews.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -75,5 +75,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
+    @JoinColumn(name = "hotel_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
     public Hotels getHotel () {
         return hotel;
@@ -85,5 +85,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "restaurant_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
+    @JoinColumn(name = "restaurant_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
     public Restaurant getRestaurant () {
         return restaurant;
@@ -95,5 +95,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "transport_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
+    @JoinColumn(name = "transport_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
     public Transport getTransport () {
         return transport;
Index: src/main/java/com/tourMate/entities/User.java
===================================================================
--- src/main/java/com/tourMate/entities/User.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/User.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -52,5 +52,5 @@
     private Role role;
     @Column(name = "locked", unique = false, nullable = false)
-    boolean locked;
+    boolean locked = false;
 
     @Column(name = "enabled", unique = false, nullable = false)
@@ -96,4 +96,7 @@
     }
 
+    public boolean isLocked() {
+        return locked;
+    }
 
     public long getUserID() {
@@ -162,5 +165,5 @@
     @Override
     public boolean isAccountNonLocked() {
-        return true;
+        return locked;
     }
 
Index: src/main/java/com/tourMate/services/BusinessManager.java
===================================================================
--- src/main/java/com/tourMate/services/BusinessManager.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/BusinessManager.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -8,8 +8,12 @@
     public void createBusiness(Business business, long userId);
     public List<Business> getUnapprovedBusinessesOfUser(long userId);
-    public void deleteBusiness(long businessId);
-    public List<Business> getCreatedBusinesses();
+
+    void deleteBusiness(long businessId);
+
+    public List<Business> getUnapprovedBusinesses();
+    public void approveBusiness(Long businessId);
     public Business findBusinessById (long businessId);
-    public void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved);
     public boolean hasBusiness(long userId);
+
+    void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved);
 }
Index: src/main/java/com/tourMate/services/HotelManager.java
===================================================================
--- src/main/java/com/tourMate/services/HotelManager.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/HotelManager.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -2,10 +2,10 @@
 
 import com.tourMate.dto.HotelDto;
+import com.tourMate.dto.HotelReservationDto;
+import com.tourMate.dto.HotelReservationUserDto;
 import com.tourMate.entities.*;
-import org.springframework.web.multipart.MultipartFile;
 
 import java.util.Date;
 import java.util.List;
-import java.util.Map;
 
 public interface HotelManager {
@@ -24,14 +24,8 @@
     public List<HotelRoom> getRoomsOfHotel (long hotelId);
     public HotelRoom findRoomById (long hotelRoomId);
-<<<<<<< HEAD
     public List<HotelRoomImages> getRoomImages(Long hotelRoom);
     public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds);
-=======
-    public List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom);
-    public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
     public void editRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
     public void deleteRoom(long hotelRoomId);
-    public List<HotelRoomAvailable> getRoomsAvailable(Long id);
     public void createRoomAvailible(HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
     public void editRoomAvailible(long hotelRoomAvailableId, HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
@@ -40,9 +34,12 @@
     public HotelRoomAvailable findAvailibleRoomById(long hotelRoomAvailableId);
     public List<HotelRoomAvailable> getRoomsAvailibility();
+    public List<HotelRoomAvailable> getRoomsAvailableById(Long id);
     public List<HotelRoomAvailable> getRoomsAvailibilityByHotel(Hotels hotel);
-    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds);
+    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds, Boolean flexible);
     public void createReservation(Long userId, Long hotelRoomId, Long hotelRoomAvailableId, Date dateFrom, Date dateTo, Integer numberOfBeds);
     public void editReservation(long hotelRoomReservedId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
     public void deleteReservation(long hotelRoomReservedId);
+    public List<HotelReservationDto> findVaidReseravtionsByHotel(Long hotelId);
+    public List<HotelReservationUserDto> findValidHotelReservationsByUser(Long userId);
     public HotelRoomReservations findReservationById(long hotelRoomReservedId);
     public List<HotelRoomReservations> findReservationByUser(User user);
@@ -54,3 +51,4 @@
 
     void addRoomImage(Long id, List<String> filesToAdd);
+    void setReservationReviewed(Long reservationId);
 }
Index: src/main/java/com/tourMate/services/RestaurantManager.java
===================================================================
--- src/main/java/com/tourMate/services/RestaurantManager.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/RestaurantManager.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -2,4 +2,5 @@
 
 import com.tourMate.dto.RestaurantDto;
+import com.tourMate.dto.RestaurantReservationDto;
 import com.tourMate.dto.RestaurantReservationUserDto;
 import com.tourMate.entities.*;
@@ -10,46 +11,68 @@
 public interface RestaurantManager {
     public void createRestaurant(Restaurant restaurant, long userId);
-    public void deleteRestaurant(long restaurantID);
+
     public void addMenuToRestaurant(long restaurantId, Menu menu);
+
     public List<Restaurant> getRestaurantsByUser(long userId);
-    void deleteHotel(long restaurantID);
+    public void deleteRestaurant(Long restaurantID);
+
+    void deleteRestaurant(long restaurantID);
 
     public List<Restaurant> getRestaurants();
-    public Restaurant findRestaurantByID (long restaurantID);
+
+    public Restaurant findRestaurantByID(long restaurantID);
+
     public void addRestaurantImage(Long restaurant, List<String> url);
+
     public void removeRestaurantImage(long restaurantImageId);
+
     public RestaurantImages findRestaurantImageById(long restaurantImageId);
 
     public List<RestaurantImages> getRestaurantImages(long restaurantID);
+
     public void editRestaurant(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, User restaurantOwner);
+
+    void editReservation(long restaurantsTableId, RestaurantsTable rt, Date hourFrom, Date hourTo, int noSeats, User user);
+
     public List<RestaurantsTable> getRestaurantTables(long restaurantID);
-    public List<RestaurantDto> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats );
+
+    public List<RestaurantDto> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats);
+
     public RestaurantsTable findTableById(long tableId);
+
     public void createTable(Long restaurantId, int noSeats);
+
     public void editTable(Restaurant restaurant, long tableId, int noSeats);
+
     public void deleteTable(long tableId);
 
-    public void createTableAvailable(Long rt, Date hourFrom, Date hourTo);
+    public void createTableAvailable(Long rt, Date hourFrom, Date hourTo, int numTables);
 
     public void editTableAvailable(long tableId, Restaurant restaurant, int noSeats);
+
     public void deleteTableAvailable(long tableId);
-    public List<RestaurantsTable> getTablesAvailability();
+
     public List<RestaurantsAvailible> getTablesAvailabilityById(Long id);
-    public void createReservation(Restaurant restaurant, int noSeats);
+
+    RestaurantsAvailible findAvailableReservationByID(long tableId);
 
     void createReservation(RestaurantsTable rt, Date dateFrom, Date dateTo, User user);
 
-    public void editReservation(long tableId, Restaurant restaurant, int noSeats);
     public void deleteReservation(long tableId);
+
     public RestaurantReservations findReservationByID(long tableId);
-    public List<RestaurantReservations> findAvailableReservationByID();
 
-    List<RestaurantReservations> findAvailableReservationByID(long reservationId);
+//    List<RestaurantReservations> findAvailableReservationByID(long reservationId);
 
     public List<RestaurantReservations> findReservationByUser(User user);
-    public List<RestaurantReservations> findReservationByRestaurant(Restaurant restaurant);
+
+    public List<RestaurantReservationDto> findReservationByRestaurant(Long restaurant);
+
     public List<RestaurantReservations> getReservations();
+
     public List<Restaurant> searchByRestaurantName(String restaurantName);
+
     public List<Restaurant> searchByRestaurantLocation(String restaurantLocation);
+
     public List<RestaurantsTable> searchByNoSeats(int noSeats);
 
@@ -61,3 +84,13 @@
 
     List<RestaurantReservationUserDto> findPastRestaurantReservationsByUser(Long userId);
+
+    List<MenuImages> getMenuImages(Long id);
+
+    void addMenuImage(Long restaurant, List<String> url);
+
+    Menu findMenuById(Long menuId);
+
+    void setReservationReviewed(Long reservationId);
+
+    List<MenuImages> getMenuImagesByRestaurant(long restaurantId);
 }
Index: src/main/java/com/tourMate/services/ReviewManager.java
===================================================================
--- src/main/java/com/tourMate/services/ReviewManager.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/ReviewManager.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -9,5 +9,5 @@
 public interface ReviewManager{
 
-    public void createReview(String title, int numStar, String description, Long hotel, Long restaurant, Long transport);
+    public void createReview(String title, int numStar, String description, Long hotel, Long restaurant, Long transport, Long reservationId);
     public void deleteReview(long id);
     public Reviews findReviewById(long id);
